# Update 'ParkingSpotListingSubscription'

Endpoint: PATCH /markets/listings/parkingspotlistingsubscription/{pk}/
Version: 2.0.0
Security: customer_id, application_id, service_id, service_version_id, client_ct, client_object_id, client_secret

## Path parameters:

  - `pk` (string, required)

## Request fields (application/json):

  - `organization` (object)

  - `organization.id` (string)

  - `custom_id` (string)

  - `tenant_applicant` (object, required)

  - `tenant_applicant.id` (string)

  - `name` (string)

  - `is_active` (boolean, required)

  - `regions` (array)

  - `communities` (array)

  - `max_rent` (integer)

  - `categories` (array)
    **Additional Validation Information:**
Enum Descriptions:
* `PX_GARAGE` - Px Garage
* `PX_CAR` - Px Car
* `PX_BOAT` - Px Boat
* `PX_CARPORT` - Px Carport
* `PX_BICYCLE` - Px Bicycle
* `PX_MC` - Px Mc
* `PX_CARAVAN` - Px Caravan
* `PX_MOPED` - Px Moped
* `PX_OTHER` - Px Other
    Enum: "PX_GARAGE", "PX_CAR", "PX_BOAT", "PX_CARPORT", "PX_BICYCLE", "PX_MC", "PX_CARAVAN", "PX_MOPED", "PX_OTHER"

  - `garage_type` (array)
    **Additional Validation Information:**
Enum Descriptions:
* `WARM` - Warm
* `COLD` - Cold
    Enum: "WARM", "COLD"

  - `has_roof` (boolean)

  - `is_caged` (boolean)

  - `handicap_adapted` (boolean)

  - `ev_charging_present` (boolean)

  - `engine_heater_present` (boolean)

## Response 200 fields (application/json):

  - `organization` (object)

  - `organization.id` (string)

  - `id` (string, required)
    **Additional Validation Information:**
Must be unique

  - `custom_id` (string)

  - `created_at` (string)

  - `tenant_applicant` (object, required)

  - `tenant_applicant.id` (string)

  - `name` (string)

  - `is_active` (boolean, required)

  - `last_checked_at` (string, required)

  - `regions` (array)

  - `communities` (array)

  - `max_rent` (integer)

  - `categories` (array)
    **Additional Validation Information:**
Enum Descriptions:
* `PX_GARAGE` - Px Garage
* `PX_CAR` - Px Car
* `PX_BOAT` - Px Boat
* `PX_CARPORT` - Px Carport
* `PX_BICYCLE` - Px Bicycle
* `PX_MC` - Px Mc
* `PX_CARAVAN` - Px Caravan
* `PX_MOPED` - Px Moped
* `PX_OTHER` - Px Other
    Enum: "PX_GARAGE", "PX_CAR", "PX_BOAT", "PX_CARPORT", "PX_BICYCLE", "PX_MC", "PX_CARAVAN", "PX_MOPED", "PX_OTHER"

  - `garage_type` (array)
    **Additional Validation Information:**
Enum Descriptions:
* `WARM` - Warm
* `COLD` - Cold
    Enum: "WARM", "COLD"

  - `has_roof` (boolean)

  - `is_caged` (boolean)

  - `handicap_adapted` (boolean)

  - `ev_charging_present` (boolean)

  - `engine_heater_present` (boolean)

